Skip to main content
PATCH
Update an agent

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

agentId
string
required

Agent ID.

Body

application/json
name
string
Maximum string length: 100
enabled
boolean
provider
enum<string>

LLM provider for the AI agent.

Available options:
openai,
anthropic,
google,
mistral,
zavu
model
string
systemPrompt
string
Maximum string length: 10000
apiKey
string
contextWindowMessages
integer
Required range: 1 <= x <= 50
includeContactMetadata
boolean
maxTokens
integer | null
Required range: 1 <= x <= 4096
temperature
number | null
Required range: 0 <= x <= 2
triggerOnChannels
string[]
triggerOnMessageTypes
string[]
voice
object

Voice Agent configuration. Patch this object to enable voice, change the greeting, or adjust call limits. Requires the Voice Agents feature to be enabled for your team.

Response

Agent updated.

agent
object
required

AI Agent configuration for a sender.